#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%define		pdir	XML
%define		pnam	XPath
Summary:	XML::XPath - a set of modules for parsing and evaluating XPath statements
Summary(pl.UTF-8):	XML::XPath - zestaw modułów do analizy i obliczania wyrażeń XPath
Name:		perl-XML-XPath
Version:	1.20
Release:	1%{?tld}
License:	Artistic v2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0efb48857967094e6499de120e36b819
URL:		http://search.cpan.org/dist/XML-XPath/
BuildRequires:	perl-XML-Parser >= 2.23
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-XML-Parser >= 2.23
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module aims to comply exactly to the XPath specification at
http://www.w3.org/TR/xpath and yet allow extensions to be added
in the form of functions. Modules such as XSLT and XPointer may
need to do this as they support functionality beyond XPath.

%description -l pl.UTF-8
Ten moduł ma być zgodny ze specyfikacją XPath (dostępną pod
http://www.w3.org/TR/xpath) i pozwala na dodawanie rozszerzeń
w postaci funkcji. Do tego mogą być potrzebne moduły takie jak XSLT i
XPointer, jako że obsługują funkcjonalność spoza XPath.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/test.xml $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%attr(755,root,root) %{_bindir}/xpath
%{perl_vendorlib}/XML/XPath.pm
%{perl_vendorlib}/XML/XPath/*.pm
%{perl_vendorlib}/XML/XPath/Node
%{_mandir}/man3/XML::XPath*.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Dec 03 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-XML-XPath.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> caf8537
- drop obsolete and outdated manual inclusion of rpm macros

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 8e65fc6
- updated to 1.20

* Sun Dec 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 846c45d
- generic URL
- pl fix
- package xpath script just once

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4b58d18
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 056343c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 74f4461
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 72f1e43
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 17a89d7
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Wed May 05 2004 ankry <ankry@pld-linux.org> 61db6db
- license fix, cosmetics

* Wed Jan 07 2004 Jakub Bogusz <qboosh@pld-linux.org> 2055801
- added tests, moved vendorlib/XML/XPath dir to perl.spec; release 3

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 75aa445
- spaces -> tab

* Wed Aug 13 2003 ankry <ankry@pld-linux.org> 8a5227d
- cosmetics

* Fri Jun 06 2003 Jakub Bogusz <qboosh@pld-linux.org> a1405f9
- updated feedback address

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 16d584c
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 6183632
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 19e2785
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> af3e1cd
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 95e9b13
- use the __perl macro

* Wed Feb 19 2003 ankry <ankry@pld-linux.org> 1cecb72
- autoupdated to 1.13

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 4f1d840
- massive attack: change CPAN URLs

